<?php
if($_GET['action']=='phpinfo') 
{ phpinfo(); exit; }
?>
<html>
<head>
<title>PHP Testing Page</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">

<style type="text/css">
<!--
body, div, p {  font-family: arial, helvetica, sans-serif; font-size: 12px; color: #444444}
a, a:visited, a:active, a:hover { color: #0000ff }

.message_box
{
	background-color: #eeeeee; 
	border: 1px #CCCCCC solid; 
	margin: 5px;
	padding-top: 20px; 
	padding-right: 20px; 
	padding-bottom: 20px; 
	padding-left: 20px; 
	width: 600px;
	position: absolute;
	top: 0px;
	left: 0px;
}
.result {  font-size: 24px; font-weight: bold; margin-top: 10px; margin-bottom: 10px}

#word_ok {  color: #009900; }
#word_fail {  color: #CC0000; }

#css_warn{ display: none; }

#msg_ok { display: none;  }
#msg_fail { display: block;  }

-->
</style>

<?php 
	echo '<style '; 
	echo 'type="text/css">';
	echo "\n";
?>
<?php
	echo '#msg_ok { display: block;  }';
	echo '#msg_fail { display: none; }';
	echo '#notice { top: 120px; }'; 
	echo '</st';
	echo 'yle>'; 
?>
</head>

<body bgcolor="#FFFFFF" text="#000000">

<div id="css_warn"><h1><font color="#ff0000">Please view this page with CSS turned on.</font></h1></div>

<div class="message_box" id="msg_ok"><span class="result">Your site <span id="word_ok">supports</span> PHP.</span>
<p><a href="test.php?action=phpinfo">Click here to view your PHP configuration.</a></p></div>

<div class="message_box" id="msg_fail"><span class="result">Your site <span id="word_fail">does not support</span> PHP.</span></div>



</body>
</html>
